<?php


// ========================== 
// ! CUSTOM FIELD Functions   
// ========================== 

add_action('admin_init', 'two2_add_custom_boxes');
add_action('save_post', 'two2_save_postdata');  

function two2_add_custom_boxes() {
	
	// Portfolio
    add_meta_box("project-info", __("Project Info","two2"), "two2_project_info_meta_options", "portfolio", "advanced", "low");
    add_meta_box("page-info", __("Page Info","two2"), "two2_page_info_meta_options", "page", "advanced", "low");
    remove_meta_box( 'postcustom', 'portfolio', 'advanced' );
    
}   

// Project meta box
function two2_project_info_meta_options() {  
    global $post;  
    $custom = get_post_custom($post->ID);  
	?>
	<label><?php _e("Project Background Color","two2"); ?></label><div class="colorpicker-container">
	<div class="color-selector" id="color-selector-1"><div<?php if(isset($custom['two2_bg_color'][0])){ ?> style="background-color: <?php print $custom['two2_bg_color'][0]; ?>"<?php } ?>></div></div>
	<input type="hidden" name="two2_bg_color" value="<?php if(isset($custom['two2_bg_color'][0])){ print $custom['two2_bg_color'][0]; } ?>" />
	</div>
	<p><label><?php _e("Project Background Image URL","two2"); ?></label><br /><input class="uploadimg" type="text" size="36" name="two2_bg_image" style="width:70%;" value="<?php echo $custom["two2_bg_image"][0]; ?>" />
	<input class="button uploadbutton" rel="<?php print $post->ID; ?>" type="button" value="<?php _e("Upload Image","two2"); ?>" />
	<br /><span class="description">(<?php _e("Leave the image field empty to let the background color to take effect","two2"); ?>.)</span></p>
	<p><label><?php _e("Project Background Image Style","two2"); ?> <select name="two2_bg_type">
		<option<?php if(isset($custom['two2_bg_type'][0])){ if($custom['two2_bg_type'][0]==1){ ?> selected<?php } } ?> value="1"><?php _e("Expanded Image","two2"); ?></option>
		<option<?php if(isset($custom['two2_bg_type'][0])){ if($custom['two2_bg_type'][0]==2){ ?> selected<?php } } ?> value="2"><?php _e("Repeated Image Pattern","two2"); ?></option>
	</select></label></p>
	<p><label><?php _e("Project Client Name", "two2"); ?>:<br /><input name="two2_project_client" value="<?php if(isset($custom["two2_project_client"][0])){ echo $custom["two2_project_client"][0]; } ?>" type="text" style="width:98%;" /></label></p>
	<p><label><?php _e("Project URL", "two2"); ?>:<br /><input name="two2_project_url" value="<?php if(isset($custom["two2_project_url"][0])){ echo $custom["two2_project_url"][0]; } ?>" type="text" style="width:98%;" /></p>
	<p><label><input type="checkbox" name="two2_project_featured_image" value="1"<?php if(isset($custom['two2_project_featured_image'][0]) && $custom['two2_project_featured_image'][0]==1){ ?> checked<?php } ?> /> <?php _e("Display the project featured image in the project slideshow", "two2"); ?></label></p>
	<p class="galv1-option"><label><?php _e("Gallery Layout","two2"); ?> <select name="two2_galv1_layout">
		<option<?php if(isset($custom['two2_galv1_layout'][0]) && $custom['two2_galv1_layout'][0]==1){ ?> selected<?php } ?> value="1"><?php _e("Advanced, Left Aligned With Additional Project Info","two2"); ?></option>
		<option<?php if(isset($custom['two2_galv1_layout'][0]) && $custom['two2_galv1_layout'][0]==2){ ?> selected<?php } ?> value="2"><?php _e("Simple, Centered Title & Description","two2"); ?></option>
	</select></label></p>
	<?php
}

function two2_page_info_meta_options() {  
    global $post;  
    $custom = get_post_custom($post->ID);  
	?>
	<p><label><?php _e("Page Intro", "two2"); ?>:<br /><input name="two2_page_intro" value="<?php if(isset($custom["two2_page_intro"][0])){ echo $custom["two2_page_intro"][0]; } ?>" type="text" style="width:98%;" /></p>
	<p><label><?php _e("Page Claim", "two2"); ?>:<br /><input name="two2_page_claim" value="<?php if(isset($custom["two2_page_claim"][0])){ echo $custom["two2_page_claim"][0]; } ?>" type="text" style="width:98%;" /></p>
	<?php
}

function two2_save_postdata() {  
	// verify if this is an auto save routine. 
  	// If it is our form has not been submitted, so we dont want to do anything
  	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
  	
  	global $post;
  	
  	if(isset($_POST["two2_project_featured_image"])){ $two2_project_featured_image = '1'; } else { $two2_project_featured_image = ''; }
  	// Project
  	if(isset($_POST['post_type'])){
	  	if('portfolio' == $_POST['post_type']){
			update_post_meta($post->ID, "two2_project_client", $_POST["two2_project_client"]);
			update_post_meta($post->ID, "two2_project_url", $_POST["two2_project_url"]);
			update_post_meta($post->ID, "two2_project_featured_image", $two2_project_featured_image);
			update_post_meta($post->ID, "two2_bg_image", $_POST["two2_bg_image"]);
			update_post_meta($post->ID, "two2_bg_type", $_POST["two2_bg_type"]);
			update_post_meta($post->ID, "two2_bg_color", $_POST["two2_bg_color"]);
			update_post_meta($post->ID, "two2_galv1_layout", $_POST["two2_galv1_layout"]);
		}
		if('page' == $_POST['post_type']){
			update_post_meta($post->ID, "two2_page_intro", $_POST["two2_page_intro"]);
			update_post_meta($post->ID, "two2_page_claim", $_POST["two2_page_claim"]);
		}
	}
}  





/* PORTFOLIO Gallery Settings */

function two2_image_attachment_fields_to_edit($form_fields, $post) {

	if(isset($_GET['post_id']) && get_post_type($_GET['post_id'])=='portfolio'){
	
	$form_fields["url_video_youtube"] = array(
		"label" => __("YouTube Video URL","two2"),
		"input" => "text",
		"value" => get_post_meta($post->ID, "_url_video_youtube", true),
		"helps" => __("Insert the link of a video hosted with YouTube","two2")
	);
	
	$form_fields["url_video_vimeo"] = array(
		"label" => __("Vimeo Video URL","two2"),
		"input" => "text",
		"value" => get_post_meta($post->ID, "_url_video_vimeo", true),
		"helps" => __("Insert the link of a video hosted with Vimeo.","two2")
	);
	
	/* HTML5 videos will be available in version 1.1 
	$form_fields["url_video_mp4"] = array(
		"label" => __("Video URL (MP4)","two2"),
		"input" => "text",
		"value" => get_post_meta($post->ID, "_url_video_mp4", true),
		"helps" => __("MP4 (with H264 codec) works with Safari, iOS Safari, Chrome & IE9.","two2")
	);
	
	$form_fields["url_video_webm"] = array(
		"label" => __("Video URL (WEBM)","two2"),
		"input" => "text",
		"value" => get_post_meta($post->ID, "_url_video_webm", true),
		"helps" => __("WEBM format works with Firefox, Chrome & Opera.","two2")
	);
	
	$form_fields["url_video_ogv"] = array(
		"label" => __("Video URL (OGV)","two2"),
		"input" => "text",
		"value" => get_post_meta($post->ID, "_url_video_ogv", true),
		"helps" => __("OGV format works with Firefox, Opera & Chrome.","two2")
	);
	*/
	
	}
	return $form_fields;
}


add_filter("attachment_fields_to_edit", "two2_image_attachment_fields_to_edit", null, 2);


function two2_image_attachment_fields_to_save($post, $attachment) {
	if(get_post_type($_GET['post_id'])=='portfolio'){
		update_post_meta($post['ID'], '_url_video_youtube', $attachment['url_video_youtube']);
		update_post_meta($post['ID'], '_url_video_vimeo', $attachment['url_video_vimeo']);
		/* 
		update_post_meta($post['ID'], '_url_video_mp4', $attachment['url_video_mp4']);
		update_post_meta($post['ID'], '_url_video_webm', $attachment['url_video_webm']);
		update_post_meta($post['ID'], '_url_video_ogv', $attachment['url_video_ogv']);
		*/ 
	}
	return $post;
}
add_filter("attachment_fields_to_save", "two2_image_attachment_fields_to_save", null, 2);


?>