<?php


// ===================== 
// ! CUSTOM POST TYPES  
// ===================== 
 
add_action( 'init', 'two2_custom_types_register' );
function two2_custom_types_register() {
	
	/*
		PROJECT TYPE: Custom Taxonomy for 'Portfolio'
		Note: Register the taxonomy before custom post type due to wp_rewrite behaviour
	*/
	$project_cat_labels = array(
		'name' 							=> _x('Project Type','taxonomy general name','two2'),
		'singular_name' 				=> _x('Project Type','taxonomy singular name','two2'),
		'search_items' 					=> __('Search Project Types','two2'),
		'popular_items'					=> __('Popular Project Types','two2' ),
		'all_items' 					=> __('All Project Types','two2'),
		'parent_item'                 	=> __('Parent Project Types','two2'),
		'edit_item' 					=> __('Edit Project Type','two2'),
		'update_item' 					=> __('Update Project Type','two2'),
		'add_new_item' 					=> __('Add Project Type','two2'),
		'new_item_name' 				=> __('New Project Type','two2'),
		'add_or_remove_items'			=> __('Add or remove Project Types','two2')
	);
	
	$args = array(
	    'label'                         => __('Project Type', 'two2' ),
	    'labels'                        => $project_cat_labels,
	    'public'                        => true,
	    'hierarchical'                  => true,
	    'show_ui'                       => true,
	    'show_in_nav_menus'             => true,
	    'rewrite'                       => array( 'slug' => 'portfolio/type', 'with_front' => false ),
	    'query_var'                     => true
	);
	register_taxonomy( 'portfolio_type', 'portfolio', $args );
	
	
	
	/*
		PORTFOLIO: Custom Post Type
	*/
	$projects_labels = array(
		'name' 					=> _x('Portfolio','post type general name','two2'),
		'singular_name'			=> _x('Project','post type singular name','two2'),
		'add_new' 				=> _x('Add New Project','portfolio','two2'),
		'add_new_item'			=> __('Add New Project','two2'),
		'edit_item'				=> __('Edit Project','two2'),
		'new_item'				=> __('New Project','two2'),
		'view_item'				=> __('View Project','two2'),
		'search_items'			=> __('Search Project','two2'),
		'not_found' 			=> __('No Project found','two2'),
		'not_found_in_trash' 	=> __('No Project found in Trash','two2')
	);
	
	$projects_args = array(
        'labels'                => $projects_labels,
        'public'                => true,
        'show_ui'               => true,
        'query_var' 			=> true,
        'show_in_menu'          => true,
        'menu_position' 		=> 5,
        'capability_type' 		=> 'post',
        'supports'              => array( 'title', 'editor', 'excerpt', 'thumbnail', 'page-attributes' ),	
        'rewrite'               => array( 'slug' => 'portfolio', 'with_front' => false ),
        'has_archive'           => true
    );
    
	register_post_type( 'portfolio' , $projects_args );
}

?>