<?php

function two2_scripts_embed(){
?>
<script type="text/javascript">
	/*******************************************
	 * MEDIA QUERIES TO DINAMYC ENHANCEMENT
	 ********************************************/
	
	var ADAPT_CONFIG = {
	  path: '<?php print get_template_directory_uri(); ?>/assets/',
	  dynamic: true,
	  range: [
	    '0px    to 480px  = mobile.css',
	    '481px  to 840px  = middle.css',
	    '841px  to 1440px = large.css',
	    '1441px  		  = xlarge.css'
	  ]
	};
	var rootUrl = "<?php print home_url('/'); ?>";
	var rootTitle = "<?php bloginfo('name'); ?>";
</script>

<?php
}


function two2_custom_style_embed(){
	$two2_option = two2_get_global_options();
	if(isset($two2_option['two2_css_code'])){ ?>
		<style type="text/css"><?php print $two2_option['two2_css_code']; ?></style>
		<?php
	}
}


/* Load twitter on page header to enable the optional .po translation */
function two2_jquery_embed(){ 
$two2_option = two2_get_global_options();
if(isset($two2_option['two2_twitter_account'])){
?>
<script type="text/javascript">
	
	function runTwitter(){	
	    $(".tweet").tweet({
	        username: "<?php print $two2_option['two2_twitter_account']; ?>",
	        join_text: "auto",
	        avatar_size: 32,
	        count: <?php print $two2_option['two2_tweets_number']; ?>,
	        auto_join_text_default: "<?php _e("we said","two2"); ?>", 
	        auto_join_text_ed: "<?php _e("we","two2"); ?>",
	        auto_join_text_ing: "<?php _e("we were","two2"); ?>",
	        auto_join_text_reply: "<?php _e("we replied to","two2"); ?>",
	        auto_join_text_url: "<?php _e("we were checking out","two2"); ?>",
	        loading_text: "<?php _e("loading tweets","two2"); ?>..."
	    });
	}
	
	
</script>
<?php 
} }
	


/* Load Google webfonts */

function two2_load_webfonts(){
	$two2_option = two2_get_global_options();
	$webfonts = array_unique(array($two2_option['two2_typo_page_breadcrumbs']['face'], $two2_option['two2_typo_nav']['face'], $two2_option['two2_typo_page_title']['face'],$two2_option['two2_typo_page_claim']['face'], $two2_option['two2_typo_content']['face'],$two2_option['two2_typo_galv2_content']['face'], $two2_option['two2_typo_galv2_subtitle']['face'], $two2_option['two2_typo_navgal_subtitle']['face'], $two2_option['two2_typo_galv1_title']['face']));
	foreach($webfonts as $webfont){ print vankarwai_get_google_webfont($webfont)."\n"; }
}
add_action('wp_print_styles', 'two2_load_webfonts');



// Add RSS links to <head> section
add_theme_support( 'automatic-feed-links' );

function two2_scripts(){
	// Load scripts
	if ( !is_admin() ) {
		$two2_option = two2_get_global_options();
		add_action('wp_head', 'two2_scripts_embed', 2);
		add_action('wp_head', 'two2_jquery_embed');
		add_action('wp_head', 'two2_custom_style_embed');
		wp_deregister_script('jquery');
		wp_register_script('jquery', get_template_directory_uri().'/js/jquery-1.6.1.js', false);
		wp_enqueue_script('jquery');
		wp_enqueue_script('history', get_template_directory_uri().'/js/jquery.history.js');
		wp_enqueue_script('jquery-ui', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js');
		wp_enqueue_script('easing', get_template_directory_uri()."/js/easing.js");
		wp_enqueue_script('modernizr', get_template_directory_uri()."/js/modernizr.js");
		wp_enqueue_script('scrollto', get_template_directory_uri()."/js/jquery.scrollTo-min.js");
		wp_enqueue_script('serialscroll', get_template_directory_uri()."/js/jquery.serialScroll-min.js");
		wp_enqueue_script('custom', get_template_directory_uri()."/js/custom.js");
		wp_enqueue_script('fulldivgal', get_template_directory_uri()."/js/fulldiv".$two2_option['two2_gallery_type'].".js");
		wp_enqueue_script('gestures', get_template_directory_uri()."/js/jquery.touchwipe.min.js");
		wp_enqueue_script('adapt', get_template_directory_uri()."/js/adapt.min.js");
		wp_enqueue_script('prettyphoto', get_template_directory_uri()."/js/jquery.prettyPhoto.js");
		wp_enqueue_script('caroufredsel', get_template_directory_uri()."/js/jquery.carouFredSel-4.2.3-packed.js");
		wp_enqueue_script('tweet', get_template_directory_uri().'/js/jquery.tweet.js');
		wp_enqueue_script('scrollable', get_template_directory_uri().'/js/jquery.jscrollpane.min.js');
		wp_enqueue_script('wheelable', get_template_directory_uri().'/js/jquery.mousewheel.js');
		wp_enqueue_script('spin', get_template_directory_uri().'/js/spin.min.js');
		wp_enqueue_script('smartloader', get_template_directory_uri()."/js/smartLoader.js", false, false, true);	
	}
}

add_action('wp_enqueue_scripts', 'two2_scripts');  



function two2_styles(){ 
	wp_enqueue_style('style', get_bloginfo('stylesheet_url'));
	wp_enqueue_style('prettyPhoto', get_template_directory_uri().'/css/prettyPhoto.css');
	wp_enqueue_style('dynamic', get_template_directory_uri().'/css/dynamic.css.php');
	wp_enqueue_style('custom', get_template_directory_uri().'/css/custom.css');
}

add_action('wp_print_styles', 'two2_styles');

			
			
// Clean up the <head>
function two2_remove_head_links() {
	remove_action('wp_head', 'rsd_link');
	remove_action('wp_head', 'wlwmanifest_link');
}
add_action('init', 'two2_remove_head_links');
remove_action('wp_head', 'wp_generator');

?>