<?php
/**
 * Define our settings sections
 *
 * array key=$id, array value=$title in: add_settings_section( $id, $title, $callback, $page );
 * @return array
 */
function two2_options_fonts_sections() {
	
	$sections = array();
	$sections['general_font_section']	= __('General Font Options', 'two2');
	$sections['page_font_section'] 		= __('Page Font Options', 'two2');
	$sections['project_font_section']	= __('Project Font Options', 'two2');
	
	return $sections;	
} 

/**
 * Define our form fields (settings) 
 *
 * @return array
 */
function two2_options_fonts_fields() {

	$options = array (
			
		array(	"section"	=> "general_font_section",
				"type" 		=> "typography",
				"title" 	=> __("Main Menu Font","two2"),
				"name" 		=> "two2_typo_nav",
				"std"	=> array('size' => '23px', 'face' => 'Dosis', 'weight' => '200', 'color' => '#414141', 'italic' => 1, 'uppercase' => 1),
				"screen"	=>  get_template_directory_uri().'/functions/images/screen11.jpg',
				"desc"		=> __("Font settings for main navigation items. The color will be applied only in the hover state of the link because the other states correspond to the main site content color.<br /><strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
				
		array(	"section"	=> "general_font_section",
				"type" 		=> "typography",
				"title" 	=> __("General Content Font","two2"),
				"name" 		=> "two2_typo_content",
				"std"	=> array('size' => '14px', 'face' => 'Maven Pro', 'weight' => '200'),
				"screen"	=> array(	get_template_directory_uri().'/functions/images/screen04.jpg',
										get_template_directory_uri().'/functions/images/screen07.jpg',
										get_template_directory_uri().'/functions/images/screen10.jpg'
							),
				"desc"		=> __("Font settings for general content text. <strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
				
		array(	"section"	=> "general_font_section",
				"type" 		=> "typography",
				"title" 	=> __("General Subtitle Font","two2"),
				"name" 		=> "two2_typo_navgal_subtitle",
				"std"	=> array('size' => '12px', 'face' => 'Dosis', 'weight' => '200', 'color' => '', 'italic' => 0, 'uppercase' => 1),
				"screen"	=> array(	get_template_directory_uri().'/functions/images/screen12.jpg',
										get_template_directory_uri().'/functions/images/screen08.jpg'), 
				"desc"		=> __("Font settings for main navigation subtitles and projects with the first gallery version enabled. <strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
				
		array(	"section"	=> "page_font_section",
				"type" 		=> "typography",
				"title" 	=> __("Page Breadcrumb Font","two2"),
				"name" 		=> "two2_typo_page_breadcrumbs",
				"std"	=> array('size' => '11px', 'face' => 'Arvo', 'weight' => '200', 'color' => '', 'italic' => 0, 'uppercase' => 1),
				"screen"	=>  get_template_directory_uri().'/functions/images/screen01.jpg',
				"desc"		=> __("Font settings for page breadcrumbs. <strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
		
		array(	"section"	=> "page_font_section",
				"type" 		=> "typography",
				"title" 	=> __("Page Title Font","two2"),
				"name" 		=> "two2_typo_page_title",
				"std"	=> array('size' => '30px', 'face' => 'Dosis', 'weight' => '200', 'color' => '', 'italic' => 0, 'uppercase' => 1),
				"screen"	=> get_template_directory_uri().'/functions/images/screen02.jpg',
				"desc"		=> __("Font settings for page titles. <strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
				
		array(	"section"	=> "page_font_section",
				"type" 		=> "typography",
				"title" 	=> __("Page Claim Font","two2"),
				"name" 		=> "two2_typo_page_claim",
				"std"	=> array('size' => '24px', 'face' => 'Arvo', 'weight' => '600', 'color' => '', 'italic' => 0, 'uppercase' => 1),
				"screen"	=> get_template_directory_uri().'/functions/images/screen03.jpg',
				"desc"		=> __("Font settings for page secondary titles. <strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
				
		
		array(	"section"	=> "project_font_section",
				"type" 		=> "typography",
				"title" 	=> __("Project Title Font","two2"),
				"name" 		=> "two2_typo_galv2_content",
				"std"	=> array('size' => '90px', 'face' => 'Dosis', 'weight' => '200', 'color' => '#dedede', 'italic' => 0, 'uppercase' => 1),
				"screen"	=> get_template_directory_uri().'/functions/images/screen05.jpg',
				"desc"		=> __("Font settings for project title. <strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
		
		array(	"section"	=> "project_font_section",
				"type" 		=> "typography",
				"title" 	=> __("Project Subtitle Font","two2"),
				"name" 		=> "two2_typo_galv2_subtitle",
				"std"	=> array('size' => '15px', 'face' => 'Arvo', 'weight' => 'bold', 'color' => '#B33533', 'italic' => 0, 'uppercase' => 1),
				"screen"	=> get_template_directory_uri().'/functions/images/screen06.jpg',
				"desc"		=> __("Font settings for project subtitle. <strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
				
		array(	"section"	=> "project_font_section",
				"type" 		=> "typography",
				"title" 	=> __("Project Title Font","two2"),
				"name" 		=> "two2_typo_galv1_title",
				"std"	=> array('size' => '23px', 'face' => 'Dosis', 'weight' => '200', 'color' => '', 'italic' => 0, 'uppercase' => 1),
				"screen"	=> get_template_directory_uri().'/functions/images/screen09.jpg',
				"desc"		=> __("Font settings for project title. <strong>(S)</strong>: System Font. <strong>(G)</strong>: Google Webfont.","two2")),
					
	);
	
			
	return $options;

}

?>