<?php
/**
 * Define our settings sections
 *
 * array key=$id, array value=$title in: add_settings_section( $id, $title, $callback, $page );
 * @return array
 */
function two2_options_pages_sections() {
	
	$sections = array();
	$sections['news_section'] 		= __('News Page Options', 'two2');
	$sections['contact_section']	= __('Contact Page Options', 'two2');
	$sections['dribbble_section']	= __('Dribbble Page Options', 'two2');
	return $sections;	
} 

/**
 * Define our form fields (settings) 
 *
 * @return array
 */
function two2_options_pages_fields() {

	$options = array (
		
		array(	"section"	=> "news_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_twitter_account",
				"title" 	=> __("Twitter Account Username","two2")),
				
		array(	"section"	=> "news_section",
				"type" 		=> "select",
				"name" 		=> "two2_tweets_number",
				"title" 	=> __("Tweets Number","two2"),
				"choices" 	=> array(1,2,3,4,5),
				"values" 	=> array(1,2,3,4,5),
				"std" 	=> 3),
		
		array(	"section"	=> "news_section",
				"type" 		=> "select",
				"name" 		=> "two2_news_number",
				"title"		=> __("News Number","two2"),
				"choices" 	=> array(1,2,3,4,5),
				"values" 	=> array(1,2,3,4,5),
				"std" 	=> 3),
				
		array(	"section"	=> "contact_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_contact_email",
				"title" 	=> __("E-mail","two2"),
				"desc"		=> __("You should fill it to enable the contact form.","two2")),
				
		array(	"section"	=> "contact_section",
				"type" 		=> "text",
				"name" 		=> "two2_contact_phone",
				"title" 	=> __("Phone","two2"),
				"desc"		=> __("Leave empty to hide.","two2")),
		
		array(	"section"	=> "contact_section",
				"type" 		=> "text",
				"name" 		=> "two2_contact_fax",
				"title" 	=> __("Fax","two2")),
				
		array(	"section"	=> "contact_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_contact_skype",
				"title" 	=> __("Skype","two2")),
	
		array(	"section"	=> "contact_section",
				"type" 		=> "text",
				"name" 		=> "two2_contact_location",
				"title" 	=> __("Location","two2")),
				
		array(	"section"	=> "contact_section",
				"type" 		=> "text",
				"name" 		=> "two2_contact_address",
				"title" 	=> __("Address","two2")),
				
		array(	"section"	=> "contact_section",
				"type" 		=> "text",
				"name" 		=> "two2_contact_postcode",
				"title" 	=> __("Postal Code","two2")),
				
		array(	"section"	=> "contact_section",
				"type" 		=> "text",
				"name" 		=> "two2_address_latitude",
				"title" 	=> __("Address Latitude","two2"),
				"desc"		=> __("Click <a href='http://www.getlatlon.com/' target='_blank'>here</a> to obtain the Latitude and Longitude for your address.","two2")),
				
		array(	"section"	=> "contact_section",
				"type" 		=> "text",
				"name" 		=> "two2_address_longitude",
				"title" 	=> __("Address Longitude","two2")),
		
		array(	"section"	=> "contact_section",
				"type" 		=> "select",
				"name" 		=> "two2_map_zoom",
				"title" 	=> __("Map Zoom Level","two2"),
				"std"		=> 17,
				"choices" 	=> array(8,9,10,11,12,13,14,15,16,17,18,19),
				"values" 	=> array(8,9,10,11,12,13,14,15,16,17,18,19)),
				
		array(	"section"	=> "contact_section",
				"type" 		=> "select",
				"name" 		=> "two2_map_style",
				"title" 	=> __("Map Style","two2"),
				"choices" 	=> array(__("Street Map","two2"),__("Satellite Map","two2"),__("Terrain Map","two2")),
				"values" 	=> array('m','h','p'),
				"std" 	=> 'h'),
		/*
		array(	"section"	=> "contact_section",
				"type" 		=> "checkbox",
				"name" 		=> "two2_map_bubble",
				"title" 	=> __("Display Address Bubble","two2"),		
				"desc"		=> __("If enabled, display the default white bubble with your address.","two2")),
		*/		
		array(	"section"	=> "dribbble_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_dribbble_username",
				"title" 	=> __("Dribble Username","two2"),
				"desc" 		=> __("Leave empty to disable","two2"))
	);

		
	return $options;

}

?>