<?php
/**
 * Define our settings sections
 *
 * array key=$id, array value=$title in: add_settings_section( $id, $title, $callback, $page );
 * @return array
 */
function two2_options_project_sections() {
	
	$sections = array();
	$sections['project_section']		= __('General Project Options', 'two2');
	$sections['galv1_section'] 			= __('Gallery With Info Options', 'two2');
	$sections['galv2_section'] 			= __('Gallery Full View Options', 'two2');
	
	return $sections;	
} 

/**
 * Define our form fields (settings) 
 *
 * @return array
 */
function two2_options_project_fields() {

	$options = array (
					
		array(	"section"	=> "project_section",
				"type" 		=> "imageselect",
				"name" 		=> "two2_gallery_type",
				"title" 	=> __("Gallery Type","two2"),
				"choices" 	=> array(__('Gallery With Info','two2'),__('Gallery Full View','two2')),
				"values" 	=> array('gal-v1','gal-v2'),
				"std" 	=> 'gal-v2',
				"desc"		=> __("Choose between two types of gallery layout.","two2")),
		
		array(	"section"	=> "galv2_section",
				"type" 		=> "checkbox",
				"name" 		=> "portfolio_date",
				"title" 	=> __("Display Project Date","two2"),		
				"desc"		=> __("If enabled, display the date of the project in the project description page.","two2")),
				
		array(	"section"	=> "galv2_section",
				"type" 		=> "imagebuttons",
				"name" 		=> "two2_btn_arrow_galv2",
				"name_sec"	=> "two2_custom_btn_arrow_galv2",
				"max_width" => '275',
				"title" 	=> __("Gallery Navigation Buttons","two2"),
				"title_sec" => __("Custom Gallery Navigation Button","two2"),
				"values" 	=> array(get_template_directory_uri().'/images/skins-items/sprite-gal-handlers.png'
							),
				"std"	=> get_template_directory_uri().'/images/skins-items/sprite-gal-handlers.png'),
						
		array(	"section"	=> "galv2_section",
				"type" 		=> "imagenopreview",
				"name" 		=> "two2_btn_arrow_galv2_custom",
				"title" 	=> __("Custom Gallery Navigation Buttons","two2"),
				"desc"		=> __("Choose a sprite image for the navigation arrows and keyboard of your gallery.","two2")),
									
		array(	"section"	=> "galv2_section",
				"type" 		=> "color",
				"std"	=> "#FF433F",
				"name" 		=> "two2_bg_galv2_info_color",
				"title" 	=> __("Project Info Background Color","two2"),
				"desc"		=> __("This color will be applied to all the projects when using the Full View Gallery type.","two2")),
				
		array(	"section"	=> "galv1_section",
				"type" 		=> "imagebuttons",
				"name" 		=> "two2_btn_arrow_prev_galv1",
				"name_sec"	=> "two2_custom_btn_arrow_prev_galv1",
				"title" 	=> __("Gallery Previous Arrow","two2"),
				"title_sec" => __("Custom Gallery Previous Arrow","two2"),
				"values" 	=> array(	get_template_directory_uri().'/images/slide-pixel-l-arrow-hover.png'
							),
				"std"	=> get_template_directory_uri().'/images/slide-pixel-l-arrow-hover.png'),
				
		array(	"section"	=> "galv1_section",
				"type" 		=> "imagenopreview",
				"name" 		=> "two2_btn_arrow_prev_galv1_custom",
				"title" 	=> __("Custom Gallery Previous Arrow","two2"),
				"desc"		=> __("Choose an image for the hover state of the gallery left arrow.","two2")),
				
		array(	"section"	=> "galv1_section",
				"type" 		=> "imagebuttons",
				"name" 		=> "two2_btn_arrow_next_galv1",
				"name_sec"	=> "two2_custom_btn_arrow_next_galv1",
				"title" 	=> __("Gallery Next Arrow","two2"),
				"title_sec" => __("Custom Gallery Next Arrow","two2"),
				"values" 	=> array(	get_template_directory_uri().'/images/slide-pixel-r-arrow-hover.png'
							),
				"std"	=> get_template_directory_uri().'/images/slide-pixel-r-arrow-hover.png'),
		
		array(	"section"	=> "galv1_section",
				"type" 		=> "imagenopreview",
				"name" 		=> "two2_btn_arrow_next_galv1_custom",
				"title" 	=> __("Custom Gallery Next Arrow","two2"),
				"desc"		=> __("Choose an image for the hover state of the gallery right arrow.","two2"))
		
	);

		
	return $options;

}

?>