<?php
/**
 * Define our settings sections
 *
 * array key=$id, array value=$title in: add_settings_section( $id, $title, $callback, $page );
 * @return array
 */
function two2_options_sections() {
	
	$sections = array();
	$sections['social_section'] 	= __('Social Networks Options', 'two2');
	$sections['project_section'] 	= __('Project Options', 'two2');
	$sections['general_section'] 	= __('General Options', 'two2');
	
	return $sections;	
} 

/**
 * Define our form fields (settings) 
 *
 * @return array
 */
function two2_options_fields() {

	$options = array (
				
		array(	"section"	=> "project_section",
				"type" 		=> "select",
				"name" 		=> "two2_projects_orderby",
				"title" 	=> __("Order Projects By","two2"),
				"choices" 	=> array(__('Date','two2'),__('Menu Order','two2')),
				"values" 	=> array('date','menu_order'),
				"std" 	=> 'date',
				"desc" 		=> __("If you want to order the projects by a custom menu order, we recommend you to install the <a href='http://wordpress.org/extend/plugins/simple-page-ordering/' target='_blank'>Simple Page Ordering</a> plugin","two2")),
				
		array(	"section"	=> "general_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_analytics",
				"title" 	=> __("Google Analytics Domain ID","two2"),
				"desc"		=> __("To get Google Analytics on your site, simply introduce you Google Analytics Domain ID here. It should be something like UA-123456-1.","two2")),
				
		array(	"section"	=> "general_section",
				"type" 		=> "text",
				"name" 		=> "two2_footer_copy",
				"std" 	=> "VanKarWai © 2011-2012 · All Rights Reserved",
				"title" 	=> __("Footer Credits Text","two2")),
				
		array(	"section"	=> "social_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_url_twitter",
				"title" 	=> __("Twitter URL","two2"),
				"desc"		=> __("Leave empty to hide the link.","two2")),
				
		array(	"section"	=> "social_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_url_flickr",
				"title" 	=> __("Flickr URL","two2")),
				
		array(	"section"	=> "social_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_url_linkedin",
				"title" 	=> __("Linkedin URL","two2")),
				
		array(	"section"	=> "social_section",
				"type" 		=> "textcode",
				"name" 		=> "two2_url_facebook",
				"title" 	=> __("Facebook URL","two2"))
		
	);
	
	return $options;

}

?>